function fullfiles=find_geo(geofile)
  [PATHSTR,NAME,EXT] = fileparts(geofile);
  assert(strcmp(EXT,'.geo') || isempty(EXT), 'Extension must be .geo in %s',geofile)
  if ~isempty(PATHSTR)
    if isempty(EXT), geofile=[geofile,'.geo'];end
    assert(fc_tools.sys.isfileexists(geofile),'Unable to open geofile %s',geofile)
    fullfiles={geofile};
    return
  end

  fullfiles={};
  F=fc_oogmsh.get_geo(2,2,geofile);
  if ~isempty(F), fullfiles{end+1}=F;end
  F=fc_oogmsh.get_geo(3,3,geofile);
  if ~isempty(F), fullfiles{end+1}=F;end
  F=fc_oogmsh.get_geo(3,2,geofile);
  if ~isempty(F), fullfiles{end+1}=F;end
end
